Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.wrapper.impl
Class ConsultUnsealedRequestWrapperImpl

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper<Request>
          be.ehealth.businessconnector.chapterIV.wrapper.impl.ConsultUnsealedRequestWrapperImpl

All Implemented Interfaces:
  UnsealedRequestWrapper<Request>, WrappedXmlObject<Request>, Serializable

    public class ConsultUnsealedRequestWrapperImpl

extends AbstractWrapper<Request>
implements UnsealedRequestWrapper<Request>

wraps generated xml class in wrapper that implements an interface. workaround for the fact that the generated code have actually implement common interface, but share no hieararchy or java interface. changing the xsd is not an option at the moment. Implements : `AbstractWrapper`

See Also:
  Serialized Form

Constructor Summary
`ConsultUnsealedRequestWrapperImpl()`
`ConsultUnsealedRequestWrapperImpl(Request request)`

Method Summary
`byte[]` | `getEtkHcp()`
`byte[]` | `getKmehrRequest()`
`void` | `setEtkHcp(byte[] value)`
`void` | `setKmehrRequest(byte[] value)`

Methods inherited from class be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper
`getXmlObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.WrappedXmlObject
`getXmlObject`

Constructor Detail

### ConsultUnsealedRequestWrapperImpl

    public ConsultUnsealedRequestWrapperImpl()

### ConsultUnsealedRequestWrapperImpl

    public ConsultUnsealedRequestWrapperImpl(Request request)

Parameters:
  `request` -

Method Detail

### getEtkHcp

    public byte[] getEtkHcp()

  Specified by:
    `getEtkHcp` in interface `UnsealedRequestWrapper<Request>`
  Returns:
  See Also:
    `UnsealedRequestWrapper.getEtkHcp()`

### setEtkHcp

    public void setEtkHcp(byte[] value)

  Specified by:
    `setEtkHcp` in interface `UnsealedRequestWrapper<Request>`
  See Also:
    `UnsealedRequestWrapper.setEtkHcp(byte[])`

### getKmehrRequest

    public byte[] getKmehrRequest()

  Specified by:
    `getKmehrRequest` in interface `UnsealedRequestWrapper<Request>`
  Returns:
  See Also:
    `UnsealedRequestWrapper.getKmehrRequest()`

### setKmehrRequest

    public void setKmehrRequest(byte[] value)

  Specified by:
    `setKmehrRequest` in interface `UnsealedRequestWrapper<Request>`
  See Also:
    `UnsealedRequestWrapper.setKmehrRequest(byte[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.